<!DOCTYPE html>
<html>
  <head lang="ru">
    <title>Задание 5</title>
    <meta charset="utf-8">
    <meta name="generator" content="Сайт 5"> 

    <script defer>
        function cost() {
            count  = document.getElementById('count').value;
            price = document.getElementById('price').value;
            if (count.match(/^\d+$/) == null || price.match(/^\d+$/) == null) {
              result = 'Введите верные данные';
              document.getElementById('result').innerHTML = result;
            }
            else {
              result = parseInt (count)* parseInt (price);
              document.getElementById('result').innerHTML = "Стоимость равна: " + result + " р.";
            }
        }
    </script>
     <meta name="viewport" content="width=divice-width, initial-scale=1, shrink-to-fit=no">
     <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
  </head>
  
<body class="container justify-content-start" style="background-color: rgb(252, 219, 71)">
<h2 class="col-12 p-4">Расчитать стоимость покупки</h2>
<input type="text" id="count" value="" placeholder="Количество товара" class=" w-200px h-50px p-3 text-center rounded" style="box-shadow: 5px 5px 10px 0px #8bdcf0;">
<input type="text" id="price" value="" placeholder="Цена товара" class=" w-200px h-50px p-3 text-center rounded" style="box-shadow: 5px 5px 10px 0px #8bdcf0;">
<button onclick="cost();" class="m-2 p-3 w-200px h-50px text-center rounded" style="box-shadow: 5px 5px 10px 0px #8bdcf0;">Рассчитать стоимость</button>
<div style="background-color: rgb(19, 217, 231)" id="result"></div>
</body>

</html>

